<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="71252a7ba7750247" weblate-flags="read-only, safe-html, strict-same">
        <source>= Value Conversion While the &lt;&lt;ref_value&gt;&gt; container makes it easy to create ad-hoc structures, often it is necessary to convert between JSON and user-defined types or types from the standard library.</source>
        <target state="translated">= Value Conversion While the &lt;&lt;ref_value&gt;&gt; container makes it easy to create ad-hoc structures, often it is necessary to convert between JSON and user-defined types or types from the standard library.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e903ff5791fc43c8" weblate-flags="read-only, safe-html, strict-same">
        <source>The function template &lt;&lt;ref_value_from&gt;&gt; provides an interface to construct a &lt;&lt;ref_value&gt;&gt; from a type `T`. The function template &lt;&lt;ref_value_to&gt;&gt; converts in the opposite direction, from a type `T` to &lt;&lt;ref_value&gt;&gt;. Both support a wide variety of different https://en.cppreference.com/w/cpp/language/types[fundamental types], such as `int` or `double`, standard library types, such as `std::string` or `std::vector&lt;T&gt;`, and can be extended to support user-defined types.</source>
        <target state="translated">The function template &lt;&lt;ref_value_from&gt;&gt; provides an interface to construct a &lt;&lt;ref_value&gt;&gt; from a type `T`. The function template &lt;&lt;ref_value_to&gt;&gt; converts in the opposite direction, from a type `T` to &lt;&lt;ref_value&gt;&gt;. Both support a wide variety of different https://en.cppreference.com/w/cpp/language/types[fundamental types], such as `int` or `double`, standard library types, such as `std::string` or `std::vector&lt;T&gt;`, and can be extended to support user-defined types.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f2093e1d950b782c" weblate-flags="read-only, safe-html, strict-same">
        <source>For the type `T`, the appropriate conversion approach is chosen from the following list of categories. The first matching category is selected.</source>
        <target state="translated">For the type `T`, the appropriate conversion approach is chosen from the following list of categories. The first matching category is selected.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">31</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e4623dbd78ab28b0" weblate-flags="read-only, safe-html, strict-same">
        <source>Category of T</source>
        <target state="translated">Category of T</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5683589e664c6757" weblate-flags="read-only, safe-html, strict-same">
        <source>Comment</source>
        <target state="translated">Comment</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5d997399066ee0b0" weblate-flags="read-only, safe-html, strict-same">
        <source>`value_from` behavior</source>
        <target state="translated">`value_from` behavior</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b43ab54cafdfed2a" weblate-flags="read-only, safe-html, strict-same">
        <source>`value_to` behavior</source>
        <target state="translated">`value_to` behavior</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0967862516790bb4" weblate-flags="read-only, safe-html, strict-same">
        <source>Custom conversion.</source>
        <target state="translated">Custom conversion.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":36" weblate-flags="read-only, safe-html, strict-same">
        <source>Custom behavior.</source>
        <target state="translated">Custom behavior.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="14eb9c0133620f86" weblate-flags="read-only, safe-html, strict-same">
        <source>Boost.JSON container.</source>
        <target state="translated">Boost.JSON container.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":36" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is equal to the input value.</source>
        <target state="translated">The result is equal to the input value.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="293c2947c48c8f40" weblate-flags="read-only, safe-html, strict-same">
        <source>`bool`</source>
        <target state="translated">`bool`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dafcb8047ceaeb03" weblate-flags="read-only, safe-html, strict-same">
        <source>https://en.cppreference.com/w/cpp/types/is_arithmetic[Arithmetic type]</source>
        <target state="translated">https://en.cppreference.com/w/cpp/types/is_arithmetic[Arithmetic type]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c0f73eb36a221db5" weblate-flags="read-only, safe-html, strict-same">
        <source>a| The result is a number equal to input and has the type</source>
        <target state="translated">a| The result is a number equal to input and has the type</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">56</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1a102a5146218789" weblate-flags="read-only, safe-html, strict-same">
        <source>`std::int64_t`, if `T` is a signed integer'; or</source>
        <target state="translated">`std::int64_t`, if `T` is a signed integer'; or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">58</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c9a312ba8cb35d65" weblate-flags="read-only, safe-html, strict-same">
        <source>`std::uint64_t`, if `T` is an unsigned integer; or</source>
        <target state="translated">`std::uint64_t`, if `T` is an unsigned integer; or</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">59</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c535c9b15f0b86d" weblate-flags="read-only, safe-html, strict-same">
        <source>`double` otherwise.</source>
        <target state="translated">`double` otherwise.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">60</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9970de5dc8f37d3b" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is created via &lt;&lt;ref_value_to_number&gt;&gt;.</source>
        <target state="translated">The result is created via &lt;&lt;ref_value_to_number&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e5d74e7aee62afa8" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_null_like&gt;&gt;</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_null_like&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="38f092041adabfa9" weblate-flags="read-only, safe-html, strict-same">
        <source>Intended for types like {std_monostate}.</source>
        <target state="translated">Intended for types like {std_monostate}.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="91ada12e06adf12b" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is a null value.</source>
        <target state="translated">The result is a null value.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ea6a2ea9c1d7c68b" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is default-constructed.</source>
        <target state="translated">The result is default-constructed.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="eb0423912b904167" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_string_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_string_like&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d23e3612830c4852" weblate-flags="read-only, safe-html, strict-same">
        <source>A sequence of `char`s, e.g. `std::string`.</source>
        <target state="translated">A sequence of `char`s, e.g. `std::string`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cefbf908d4ea5441" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is a &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">The result is a &lt;&lt;ref_string&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d058c9a311570787" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is constructed from a &lt;&lt;ref_string_view&gt;&gt;.</source>
        <target state="translated">The result is constructed from a &lt;&lt;ref_string_view&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bc6fb51519a19e8c" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_variant_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_variant_like&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0691bae126347a60" weblate-flags="read-only, safe-html, strict-same">
        <source>`std::variant` and similar types, e.g. `boost::variant2::variant`.</source>
        <target state="translated">`std::variant` and similar types, e.g. `boost::variant2::variant`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2966acb8433a51f1" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is equal to the result of conversion of the active variant</source>
        <target state="translated">The result is equal to the result of conversion of the active variant</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ceee8235bf67091" weblate-flags="read-only, safe-html, strict-same">
        <source>alternative. |The result holds the first alternative for which a conversion succeeds.</source>
        <target state="translated">alternative. |The result holds the first alternative for which a conversion succeeds.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">76</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4eabf4cb21183206" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_optional_like&gt;&gt;</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_optional_like&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">79</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a51c054f2f11f61b" weblate-flags="read-only, safe-html, strict-same">
        <source>If the input value is empty, the result is a `null`. Otherwise it is</source>
        <target state="translated">If the input value is empty, the result is a `null`. Otherwise it is</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">79</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="88e4fb06f866907f" weblate-flags="read-only, safe-html, strict-same">
        <source>equivalent to conversion of the object stored inside of optional. |The result is default constructed if the input value is `null`. Otherwise the result is constructed from the result of conversion of the input to the type stored in optional.</source>
        <target state="translated">equivalent to conversion of the object stored inside of optional. |The result is default constructed if the input value is `null`. Otherwise the result is constructed from the result of conversion of the input to the type stored in optional.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">82</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="18b6749a31645edd" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_map_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_map_like&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="08cd5c195c2bd9ae" weblate-flags="read-only, safe-html, strict-same">
        <source>A one-to-one mapping (e.g. `std::map`) with string-like keys.</source>
        <target state="translated">A one-to-one mapping (e.g. `std::map`) with string-like keys.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e32924727e856770" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is an &lt;&lt;ref_object&gt;&gt;.</source>
        <target state="translated">The result is an &lt;&lt;ref_object&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":87" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is default-constructed, and elements are `insert`-ed at the end.</source>
        <target state="translated">The result is default-constructed, and elements are `insert`-ed at the end.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="543fa90d6bdd6f19" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_sequence_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_sequence_like&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="360d6c8b5645ffc9" weblate-flags="read-only, safe-html, strict-same">
        <source>A sequence of elements, e.g. `std::vector`.</source>
        <target state="translated">A sequence of elements, e.g. `std::vector`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id=":87" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is an &lt;&lt;ref_array&gt;&gt;.</source>
        <target state="translated">The result is an &lt;&lt;ref_array&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="764bc215b7796621" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_tuple_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_tuple_like&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="686fb9017678d8c6" weblate-flags="read-only, safe-html, strict-same">
        <source>A heterogenous sequence with fixed size, e.g. `std::tuple` and `std::pair`.</source>
        <target state="translated">A heterogenous sequence with fixed size, e.g. `std::tuple` and `std::pair`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b3986bc37c9863ad" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is constructed with the array elements as constructor arguments.</source>
        <target state="translated">The result is constructed with the array elements as constructor arguments.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b1da0e4baf1af15" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_described_class&gt;&gt;</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_described_class&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e05f50b601cab846" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is an &lt;&lt;ref_object&gt;&gt; with described members' names as keys.</source>
        <target state="translated">The result is an &lt;&lt;ref_object&gt;&gt; with described members' names as keys.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="505294fe86a5e3db" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is default-constructed and described members are assigned</source>
        <target state="translated">The result is default-constructed and described members are assigned</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="86c4cc723b8a3168" weblate-flags="read-only, safe-html, strict-same">
        <source>corresponding values.</source>
        <target state="translated">corresponding values.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">106</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="05c9142379b5afe8" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_described_enum&gt;&gt;</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_described_enum&gt;&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">108</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="86e083b50af793fc" weblate-flags="read-only, safe-html, strict-same">
        <source>If the input value is equal to one of the described enumerators, the result is</source>
        <target state="translated">If the input value is equal to one of the described enumerators, the result is</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">108</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0d7b814d4cc20a8a" weblate-flags="read-only, safe-html, strict-same">
        <source>a &lt;&lt;ref_string&gt;&gt;, containing its name. Otherwise it's equal to the input value converted to its underlying type. |The result is the described enumerator, corresponding to the input &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">a &lt;&lt;ref_string&gt;&gt;, containing its name. Otherwise it's equal to the input value converted to its underlying type. |The result is the described enumerator, corresponding to the input &lt;&lt;ref_string&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">111</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e58f1fda29448f0d" weblate-flags="read-only, safe-html, strict-same">
        <source>Type satisfying &lt;&lt;ref_is_path_like&gt;&gt;.</source>
        <target state="translated">Type satisfying &lt;&lt;ref_is_path_like&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7073a351eb71423d" weblate-flags="read-only, safe-html, strict-same">
        <source>`std::filesystem::path` and similar types, e.g. `boost::filesystem::path`.</source>
        <target state="translated">`std::filesystem::path` and similar types, e.g. `boost::filesystem::path`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a6626db6d01d8224" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is equal to the result of `path::generic_string`.</source>
        <target state="translated">The result is equal to the result of `path::generic_string`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a0695f9cd62869b4" weblate-flags="read-only, safe-html, strict-same">
        <source>The result is constructed from two pointers to `const char`.</source>
        <target state="translated">The result is constructed from two pointers to `const char`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">116</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2530b13b70193eec" weblate-flags="read-only, safe-html, strict-same">
        <source>For composite types (sequences, tuples, described classes, etc.) conversion of contained objects is applied recursively. For example:</source>
        <target state="translated">For composite types (sequences, tuples, described classes, etc.) conversion of contained objects is applied recursively. For example:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">122</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d8d058fac08d758e" weblate-flags="read-only, safe-html, strict-same">
        <source>Here, the map is converted into an &lt;&lt;ref_object&gt;&gt;, since it matches &lt;&lt;ref_is_map_like&gt;&gt;. Each of its keys is converted into a &lt;&lt;ref_string&gt;&gt;, as `std::string` matches &lt;&lt;ref_is_string_like&gt;&gt;, and each of its values is converted into an &lt;&lt;ref_array&gt;&gt;, as `std::pair` matches &lt;&lt;ref_is_tuple_like&gt;&gt;. Finally, elements of pairs are converted into a `std::int64_t` number and a `bool`.</source>
        <target state="translated">Here, the map is converted into an &lt;&lt;ref_object&gt;&gt;, since it matches &lt;&lt;ref_is_map_like&gt;&gt;. Each of its keys is converted into a &lt;&lt;ref_string&gt;&gt;, as `std::string` matches &lt;&lt;ref_is_string_like&gt;&gt;, and each of its values is converted into an &lt;&lt;ref_array&gt;&gt;, as `std::pair` matches &lt;&lt;ref_is_tuple_like&gt;&gt;. Finally, elements of pairs are converted into a `std::int64_t` number and a `bool`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">130</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c98321f47283a78f" weblate-flags="read-only, safe-html, strict-same">
        <source>:leveloffset: +1</source>
        <target state="translated">:leveloffset: +1</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">137</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="64f25e1dfeba88a8" weblate-flags="read-only, safe-html, strict-same">
        <source>include::custom.adoc[] include::nothrow.adoc[] include::alloc.adoc[] include::context.adoc[] include::forward.adoc[] include::direct.adoc[] include::guidelines.adoc[]</source>
        <target state="translated">include::custom.adoc[] include::nothrow.adoc[] include::alloc.adoc[] include::context.adoc[] include::forward.adoc[] include::direct.adoc[] include::guidelines.adoc[]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">139</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4dec3164844f6293" weblate-flags="read-only, safe-html, strict-same">
        <source>:leveloffset: -1</source>
        <target state="translated">:leveloffset: -1</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">147</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
